#ifndef BIGGIFIER_H
#define BIGGIFIER_H

#include </usr/include/gtk-2.0/gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>

//Function decl: GTK GUI
void zoom_toggle_callback( GtkWidget* button, gpointer stuff );
void zoomlevel_callback ( GtkWidget *adj, gpointer spinwheel );
void invert_toggle_callback ( GtkWidget* button, gpointer stuff );
void smooth_toggle_callback ( GtkWidget* button, gpointer stuff );
void help_callback (void);
void info_callback (gpointer window, guint action, GtkWidget* menu );
void move_callback (gpointer window, guint moveTo, GtkWidget* menu );
void quit_callback (gpointer window, guint action, GtkWidget* menu );
gboolean delete_event( GtkWidget *widget, GdkEvent  *event, gpointer   data );

//Function decl: XWindows Magnification
void setupMag();
void magnify(guint* zoom_level);
void killMag();
void MagXImage(XImage *x1, int width, int height, XImage *x2, int z);
void setupRestore();
void restore();
int contains(Window wins[], unsigned int children, Window id);

// structure declaration for storing state before Biggifier executed
typedef struct node {
	int x, y;
	int width, height;
	Window id;
	struct node *next;
} WindowSave;

#endif
